{% extends "app/base_site.html" %}

{% block title %} Registrar tienda {% endblock %}

{% block content %}
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>{% if create %} Registro {% else %} Edición {% endif %}de usuario</h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <br/>
                            <form method="post" data-parsley-validate class="form-horizontal form-label-left">
                                {% csrf_token %}
                                {{ form.non_field_errors }}
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12"
                                           for="input-username">
                                        Usuario
                                        <span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        {{ form.username }}
                                        {{ form.username.errors }}
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12"
                                           for="input-email">
                                        Correo
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        {{ form.email }}
                                        {{ form.email.errors }}
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12"
                                           for="input-first-name">
                                        Nombre(s)
                                        {#                                        <span class="required">*</span>#}
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        {{ form.first_name }}
                                        {{ form.first_name.errors }}
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12"
                                           for="input-first-name">
                                        Apellidos
                                        {#                                        <span class="required">*</span>#}
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        {{ form.last_name }}
                                        {{ form.last_name.errors }}
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label" for="is-active-field">Activo</label>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                        <div class="checkbox">
                                            <label>
                                                {{ form.is_active }}
                                                {{ form.is_active.errors }}
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 col-sm-3 col-xs-12 control-label" for="is-staff-field">Administrador</label>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                        <div class="checkbox">
                                            <label>
                                                {{ form.is_staff }}
                                                {{ form.is_staff.errors }}
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                {% if create %}
                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12"
                                               for="input-password1">
                                            Contraseña
                                            <span class="required">*</span>
                                        </label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            {{ form.password1 }}
                                            {{ form.password1.errors }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12"
                                               for="input-password2">
                                            Contraseña
                                            <span class="required">*</span>
                                        </label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            {{ form.password2 }}
                                            {{ form.password2.errors }}
                                        </div>
                                    </div>
                                {% endif %}
                                <div class="form-group">
                                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                                        <button type="submit" class="btn btn-success">
                                            {% if create %} Registrar {% else %} Editar {% endif %}
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

{% block script %}
    <script>
        $("form").submit(function (event) {
            event.preventDefault();
            var post_url = $(this).attr("action");
            var request_method = $(this).attr("method");
            var form_data = $(this).serialize();

            $.ajax({
                url: post_url,
                type: request_method,
                data: form_data,
                success: function (json) {
                    window.location.replace('{% url 'administration:index' %}');
                },
                error: function (xhr, status, error) {
                    var json_error = JSON.parse(xhr.responseText);
                    console.log(json_error);
                    toastr[json_error.code](json_error.message, json_error.title);
                }
            });
        });
    </script>
{% endblock script %}
